from flask import Flask
from flask_session import Session
from flask_sqlalchemy import SQLAlchemy

db = SQLAlchemy()  # 把以后用到的所有数据库相关的东西封装在此（实例化必须在导入蓝图上面）
"""
flask_sqlalchemy使用步骤：
    1、导入并实例化SQLAlchemy
    2、在models.py中导入db，类继承db.Model
    3、在create_app函数中使用db.init_app(app)，可以理解为去app中读取配置文件
"""

from pro_flask.views.index import idx
from pro_flask.views.account import account
from pro_flask.models import *


def create_app():
    app = Flask(__name__, template_folder="templates", static_folder="statics", static_url_path="/static")
    app.config.from_object("settings.BaseConfig")
    app.register_blueprint(idx)
    app.register_blueprint(account)
    # Session(app)
    db.init_app(app)  # 依赖app中的配置文件
    return app
